#!/usr/bin/sh
# Please use this script to run the sample. Make sure that you properly set
# up the OSS_ASN1_JAVA, CLASSPATH and PATH environment variables before running
# this script.  You can set up JAVAC and JAVA environment variables to
# customize Java compiler/interpreter.

ACTION=${1:-"javac"}

case ${ACTION} in
    "cleanup")
	rm -f demo1.log
	rm -f *.class
	;;
	
    "javac")
	CLASSPATH=`pwd`:$CLASSPATH; export CLASSPATH
	JAVAC=${JAVAC:-javac}
	JAVA=${JAVA:-java}
	echo "ASN.1-compiling the syntax..."
        echo ""
	asn1pjav -commandfile h450.cmd -root -per -paramtypesuperclass -out h450 -err demo1.log -ignoreError 1130
	if [ $? -eq 0 ]; then 
            cd h450
	    echo "Java-compiling generated classes..."
            echo ""
	    sh h450.sh 2>&1 >> ../demo1.log
	    cd ..
	    ${JAVAC} Th450.java 2>&1 >> demo1.log
	    if [ -f Th450.class ]; then
		echo "Running the test..."
                echo ""
		${JAVA} Th450;
	    fi
	fi
	rm -fr h450
	;;

    *)
	echo "Invalid argument \"$1\"."
        echo ""
	;;
    
esac
